# TMatrix44Template< T > Class Template Reference
[Math classes]

Inheritance diagram for TMatrix44Template< T >:

List of all members.

## Public Member Functions
| TMatrix44Template (void)
template<class U >
| TMatrix44Template (const TMatrix44Template< U > &original)
| TMatrix44Template (const T &m00, const T &m01, const T &m02, const T &m03, const T &m10, const T &m11, const T &m12, const T &m13, const T &m20, const T &m21, const T &m22, const T &m23, const T &m30, const T &m31, const T &m32, const T &m33)
uint32 | GetRowDimension (void) const
uint32 | GetColumnDimension (void) const
const T & | operator() (const uint32 row, const uint32 col) const
T & | operator() (const uint32 row, const uint32 col)
const T * | operator[] (const uint32 row) const
T * | operator[] (const uint32 row)
void | GetRow (const uint32 row, TVector4Template< T > &v) const
void | SetRow (const uint32 row, const TVector4Template< T > &v)
void | GetColumn (const uint32 col, TVector4Template< T > &v) const
void | SetColumn (const uint32 col, const TVector4Template< T > &v)
void | SetToTranspose (void)
void | SetToTransposeOf (const TMatrix44Template< T > &source)
TMatrix44Template< T > | GetTranspose (void) const
T | GetTrace (void) const
T | GetDeterminant (void) const
void | Multiply (const TMatrix44Template< T > &m, const TMatrix44Template< T > &n)
TMatrix44Template< T > & | operator*= (const T &scalar)
template<class U >
TMatrix44Template< T > & | operator= (const TMatrix44Template< U > &original)
TMatrix44Template< T > | operator+ (const TMatrix44Template< T > &r) const
TMatrix44Template< T > | operator- (const TMatrix44Template< T > &r) const
TMatrix44Template< T > | operator* (const TMatrix44Template< T > &r) const
## Static Public Attributes
static const TMatrix44Template< T > | kIdentity
static const TMatrix44Template< T > | kZero
## Protected Attributes
T | value [4][4]
| Stores the coeficients of the matrix in the form value[row][col].

## Detailed Description

### template<class T>
class TMatrix44Template< T >

Stores a 4 by 4 matrix and implements basic matrix operations. The matrix coeficients are stored in the value field

## Constructor & Destructor Documentation

template<class T >

TMatrix44Template< T >::TMatrix44Template | ( | void |  | ) | `[inline]`

template<class T >
template<class U >

TMatrix44Template< T >::TMatrix44Template | ( | const TMatrix44Template< U > & | original | ) | `[inline]`

template<class T >

TMatrix44Template< T >::TMatrix44Template | ( | const T & | m00,
|  | const T & | m01,
|  | const T & | m02,
|  | const T & | m03,
|  | const T & | m10,
|  | const T & | m11,
|  | const T & | m12,
|  | const T & | m13,
|  | const T & | m20,
|  | const T & | m21,
|  | const T & | m22,
|  | const T & | m23,
|  | const T & | m30,
|  | const T & | m31,
|  | const T & | m32,
|  | const T & | m33 |
| ) |  |  | `[inline]`

## Member Function Documentation

template<class T >

void TMatrix44Template< T >::GetColumn | ( | const uint32 | col,
|  | TVector4Template< T > & | v |
| ) |  |  | const

template<class T >

uint32 TMatrix44Template< T >::GetColumnDimension | ( | void |  | ) | const`[inline]`

template<class T >

T TMatrix44Template< T >::GetDeterminant | ( | void |  | ) | const

template<class T >

void TMatrix44Template< T >::GetRow | ( | const uint32 | row,
|  | TVector4Template< T > & | v |
| ) |  |  | const

template<class T >

uint32 TMatrix44Template< T >::GetRowDimension | ( | void |  | ) | const`[inline]`

template<class T >

T TMatrix44Template< T >::GetTrace | ( | void |  | ) | const

template<class T >

TMatrix44Template<T> TMatrix44Template< T >::GetTranspose | ( | void |  | ) | const

template<class T >

void TMatrix44Template< T >::Multiply | ( | const TMatrix44Template< T > & | m,
|  | const TMatrix44Template< T > & | n |
| ) |  |  |

template<class T >

T & TMatrix44Template< T >::operator() | ( | const uint32 | row,
|  | const uint32 | col |
| ) |  |  | `[inline]`

template<class T >

const T & TMatrix44Template< T >::operator() | ( | const uint32 | row,
|  | const uint32 | col |
| ) |  |  | const`[inline]`

template<class T >

TMatrix44Template<T> TMatrix44Template< T >::operator* | ( | const TMatrix44Template< T > & | r | ) | const

template<class T >

TMatrix44Template<T>& TMatrix44Template< T >::operator*= | ( | const T & | scalar | ) |

template<class T >

TMatrix44Template<T> TMatrix44Template< T >::operator+ | ( | const TMatrix44Template< T > & | r | ) | const

template<class T >

TMatrix44Template<T> TMatrix44Template< T >::operator- | ( | const TMatrix44Template< T > & | r | ) | const

template<class T >
template<class U >

TMatrix44Template<T>& TMatrix44Template< T >::operator= | ( | const TMatrix44Template< U > & | original | ) | `[inline]`

template<class T >

T * TMatrix44Template< T >::operator[] | ( | const uint32 | row | ) | `[inline]`

template<class T >

const T * TMatrix44Template< T >::operator[] | ( | const uint32 | row | ) | const`[inline]`

template<class T >

void TMatrix44Template< T >::SetColumn | ( | const uint32 | col,
|  | const TVector4Template< T > & | v |
| ) |  |  |

template<class T >

void TMatrix44Template< T >::SetRow | ( | const uint32 | row,
|  | const TVector4Template< T > & | v |
| ) |  |  |

template<class T >

void TMatrix44Template< T >::SetToTranspose | ( | void |  | ) |

template<class T >

void TMatrix44Template< T >::SetToTransposeOf | ( | const TMatrix44Template< T > & | source | ) |

## Member Data Documentation

template<class T >

const TMatrix44Template<T> TMatrix44Template< T >::kIdentity`[static]`

template<class T >

const TMatrix44Template<T> TMatrix44Template< T >::kZero`[static]`

template<class T >

T TMatrix44Template< T >::value[4][4]`[protected]`

Stores the coeficients of the matrix in the form value[row][col].

The documentation for this class was generated from the following file:

- Matrix44.h